/***************************************************************************
                          gui.h  -  description
                             -------------------
    begin                : Sat Feb 9 2002
    copyright            : (C) 2002 by funthing (Matthias Zisler)
    email                : matthias@zislers.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUI_H
#define GUI_H
#include "global_types.h"
#include "resources.h"
#include "menu.h"

/**
  *@author funthing (Matthias Zisler)
  */
class CL_Surface;
class CL_Font;

class Gui
{
public: 
	Gui(int _x, int _y, Menu* _men);
	virtual ~Gui()=0;

	virtual void act()=0;

	void set_frozen(bool fr);
	bool Delete_Me();
	void set_Delete_Me();
	bool get_frozen();
	void set_disabled(bool dis);
	bool get_disabled();
	GuiType get_type();

protected:

	bool frozen;
	bool disabled;
	bool delete_me;
	int x,y;
	GuiType type;
	Menu* men;
};

#endif
